{ ... }:
{
  fileSystems = {
    "/" = {
      device = "/dev/disk/by-uuid/b8b7ed47-c98c-4a49-af01-b2832dde1287";
      fsType = "btrfs";
      options = [ "subvol=root" "compress=zstd" "noatime" "ssd" ];
    };
    "/prev" = {
      device = "/dev/disk/by-uuid/b8b7ed47-c98c-4a49-af01-b2832dde1287";
      fsType = "btrfs";
      options = [ "subvol=prev" "compress=zstd" "noatime" "ssd" "noexec" ];
    };
    "/nix" = {
      device = "/dev/disk/by-uuid/b8b7ed47-c98c-4a49-af01-b2832dde1287";
      fsType = "btrfs";
      options = [ "subvol=nix" "compress=zstd" "noatime" "ssd" ];
    };
    "/boot" = {
      device = "/dev/disk/by-uuid/CD94-1D3F";
      fsType = "vfat";
      options = [ "umask=0077" ];
    };

    # Impermanence and subvols
    "/persist" = {
      device = "/dev/disk/by-uuid/acf95700-8669-45c7-9a72-bf3215b3c325";
      fsType = "btrfs";
      neededForBoot = true;
      options = [ "subvol=persist" "compress=zstd" "noatime" ];
    };
    "/export/KittyNFS" = {
      depends = [ "/persist" ];
      device = "/persist/export/KittyNFS";
      fsType = "none";
      options = [ "bind" ];
    };
  };

  swapDevices = [
    { device = "/dev/disk/by-uuid/57178cfc-3e71-4d35-8c7f-e355f9dc84df"; }
  ];
}
