{ lib, config, ... }:
{
  services.nginx.virtualHosts."radio.${config.domains.p2}" = lib.mkIf config.services.icecast.enable {
    enableACME = true;
    forceSSL = true;
    locations."/" = {
      proxyPass = "http://127.0.0.1:73";
      proxyWebsockets = true;
    };
  };
}
